Summary:	libhome - a configurable getpwnam(3) emulator
Summary(pl.UTF-8):	libhome - konfigurowalny emulator funkcji getpwnam(3)
Name:		libhome
Version:	0.10.2
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pll/%{name}-%{version}.tar.gz
# Source0-md5:	f7129ae34d3c44d38ac785e7a1f7d509
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-db53.patch
URL:		http://pll.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	groff
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pam-devel
BuildRequires:	postgresql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It supports MySQL, Open LDAP or system /etc/passwd frontend.

It's intended to replace getpwnam within system daemons who need user
authentification or identification when the users are listed on
foreign servers.

%description -l pl.UTF-8
Biblioteka obsługuje MySQL, Open LDAP lub plik /etc/passwd.

Jej zadaniem jest zamiana wywołania getpwnam w demonach systemowych,
które potrzebują uwierzytelnienia lub identyfikacji użytkownika w
oparciu o dane z obcych serwerów.

%package devel
Summary:	Header files for libhome library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libhome
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	db-devel
Requires:	mysql-devel
Requires:	openldap-devel >= 2.4.6
Requires:	pam-devel
Requires:	postgresql-devel

%description devel
Header files for libhome library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libhome.

%package static
Summary:	Static libhome library
Summary(pl.UTF-8):	Statyczna biblioteka libhome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libhome library.

%description static -l pl.UTF-8
Statyczna biblioteka libhome.

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
# no automake call needed, automake is not in use here
%configure \
	--with-db4=%{_includedir} \
	--with-ldap \
	--with-mysql \
	--with-pgsql \
	--with-pam \
	--with-proxy
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	includedir=%{_includedir} \
	mandir=%{_mandir}

install home.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/home_finger
%attr(755,root,root) %{_bindir}/home_su
%attr(755,root,root) %{_bindir}/libhome.sh
%attr(755,root,root) %{_sbindir}/home_proxy
%attr(755,root,root) %{_libdir}/libhome.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhome.so.1
%attr(755,root,root) %{_libdir}/libnss_home_proxy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnss_home_proxy.so.2
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/home.conf
%{_mandir}/man5/home.conf.5*
%{_mandir}/man8/home_proxy.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhome.so
%attr(755,root,root) %{_libdir}/libnss_home_proxy.so
%{_libdir}/libhome.la
%{_libdir}/libnss_home_proxy.la
%{_includedir}/home

%files static
%defattr(644,root,root,755)
%{_libdir}/libhome.a
%{_libdir}/libnss_home_proxy.a
%changelog
* Thu Dec 06 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libhome.git;a=log;h=master

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 3077ea6
- release 2 (by relup.sh)

* Fri Sep 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 078c137
- updated to 0.10.2
- patch to link with db5.3
- more verbose files section

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 398dbe2
- release 11

* Mon Jan 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f49fab
- release 10

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 57973a2
- release 9

* Tue Aug 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a98954
- release 8

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> afcba9f
- rel 7

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d83b557
- rel 6

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 32be03c
- rel 5

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 677bec7
- updated openldap BR/R to 2.4.6

* Thu Aug 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d15b056
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 960ff5e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ac67ebb
- converted to UTF-8

* Fri Dec 22 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a528f4c
- rel 3

* Wed Aug 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 43169c0
- rel 2

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 07a03d1
- devel deps

* Fri Feb 03 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c772fb
- updated

* Mon Jan 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b383f9e
- up to 0.10.1

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> 41a132e
- BR groff

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 7efae19
- adalterized (sorted %verify flags)

